based on gentoo patch
use system node instead of nodeenv installing one as only availiable for x86 with musl

--- a/cmake/modules/AddCephTest.cmake
+++ b/cmake/modules/AddCephTest.cmake
@@ -68,14 +68,6 @@
     list(APPEND tox_envs py3)  
   endif()
   string(REPLACE ";" "," tox_envs "${tox_envs}")
-  add_custom_command(
-    OUTPUT ${venv_path}/bin/activate
-    COMMAND ${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh --python="${Python3_EXECUTABLE}" ${venv_path}
-    WORKING_DIRECTORY ${tox_path}
-    COMMENT "preparing venv for ${name}")
-  add_custom_target(${name}-venv
-    DEPENDS ${venv_path}/bin/activate)
-  add_dependencies(tests ${name}-venv)
   add_test(
     NAME ${test_name}
     COMMAND ${CMAKE_SOURCE_DIR}/src/script/run_tox.sh
--- a/src/ceph-volume/CMakeLists.txt
+++ b/src/ceph-volume/CMakeLists.txt
@@ -8,22 +8,6 @@
   add_subdirectory(plugin/zfs)
 endif()
 
-# Required for running ceph-volume inventory in a vstart environment
-set(CEPH_VOLUME_VIRTUALENV ${CEPH_BUILD_VIRTUALENV}/ceph-volume-virtualenv)
-
-add_custom_command(
-  OUTPUT ${CEPH_VOLUME_VIRTUALENV}/bin/python
-  COMMAND ${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh --python=${Python3_EXECUTABLE} ${CEPH_VOLUME_VIRTUALENV}
-  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src/ceph-volume
-  COMMENT "ceph-volume venv is being created")
-
-add_custom_command(
-  OUTPUT ${CEPH_VOLUME_VIRTUALENV}/bin/ceph-volume
-  DEPENDS ${CEPH_VOLUME_VIRTUALENV}/bin/python
-  COMMAND . ${CEPH_VOLUME_VIRTUALENV}/bin/activate && ${CEPH_VOLUME_VIRTUALENV}/bin/python setup.py develop && deactivate
-  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src/ceph-volume
-  COMMENT "${CMAKE_SOURCE_DIR}/src/ceph-volume")
-
 add_custom_target(ceph-volume-venv-setup
   DEPENDS ${CEPH_VOLUME_VIRTUALENV}/bin/ceph-volume)
 
--- a/src/pybind/mgr/dashboard/CMakeLists.txt
+++ b/src/pybind/mgr/dashboard/CMakeLists.txt
@@ -5,9 +5,6 @@
   set(multi_kw COMMAND DEPENDS)
   cmake_parse_arguments(NC "${options}" "${single_kw}" "${multi_kw}" ${ARGN})
   string(REPLACE ";" " " command "${NC_COMMAND}")
-  if(NC_NODEENV)
-    string(REGEX REPLACE "^(.*(npm|npx) .*)$" ". ${mgr-dashboard-nodeenv-dir}/bin/activate && \\1 && deactivate" command ${command})
-  endif()
   string(REPLACE " " ";" command "${command}")
   add_custom_command(
     OUTPUT "${NC_OUTPUT}"
@@ -51,11 +48,8 @@
     set(node_mirror_opt "--mirror=$ENV{NODE_MIRROR}")
   endif()
   add_custom_command(
-    OUTPUT "${mgr-dashboard-nodeenv-dir}/bin/npm"
-    COMMAND ${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh --python=${MGR_PYTHON_EXECUTABLE} ${mgr-dashboard-nodeenv-dir}
-    COMMAND ${mgr-dashboard-nodeenv-dir}/bin/pip install nodeenv
-    COMMAND ${mgr-dashboard-nodeenv-dir}/bin/nodeenv --verbose ${node_mirror_opt} -p --node=12.18.2
-    COMMAND mkdir ${mgr-dashboard-nodeenv-dir}/.npm
+    OUTPUT "/usr/bin/npm"
+    COMMAND /usr/bin/nodeenv -p --node=system
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
     COMMENT "dashboard nodeenv is being installed"
     )
